# FdoException Class Reference

`#include <Exception.h>`

Inheritance diagram for FdoException:

[legend]

List of all members.

## Detailed Description

FdoException is a root class for the exception type thrown from classes. It derives from a language level exception class that is environment specific.

Definition at line 40 of file Exception.h.

## Public Member Functions
virtual FDO_API_COMMON FdoException * | GetCause ()
| Gets a reference to the exception that caused this exception.
virtual FDO_API_COMMON FdoString * | GetExceptionMessage ()
| Gets the message associated with this exception. If no message is associated with this exception but it has a cause, then this method returns the message specified for the cause exception. If no message and no cause are associated with this exception then a null reference is returned.
virtual FDO_API_COMMON FdoException * | GetRootCause ()
| Gets a reference to the exception that is the root cause of this exception.
virtual FDO_API_COMMON void | SetCause (FdoException *cause)
| Sets the cause exception.
virtual FDO_API_COMMON FdoString * | ToString ()
| Gets the message associated with this exception. If no message is associated with this exception but it has a cause, then this method returns the message specified for the cause exception. If no message and no cause are associated with this exception then a null reference is returned.
## Static Public Member Functions
static FDO_API_COMMON FdoException * | Create (FdoString *message, FdoException *cause)
| Returns an instance of a FdoException using the specified arguments.
static FDO_API_COMMON FdoException * | Create (FdoString *message)
| Returns an instance of a FdoException using the specified arguments.
static FDO_API_COMMON FdoException * | Create ()
| Returns a default instance of a FdoException.
static FDO_API_COMMON FdoString * | NLSGetMessage (FdoInt32 msgNum, char *defMsg, char *catalog, va_list arguments)
| Gets the exception message. For internal use by FdoException class in getting a localized message.
static FDO_API_COMMON FdoString * | NLSGetMessage (FdoInt32 msgNum, char *defMsg,...)
| Gets the exception message. For internal use by template classes in getting a localized message.
static FDO_API_COMMON FdoString * | NLSGetMessage (FdoInt32 msgNum, char *defMsg, char *file, int line, char *catalog, va_list arguments)
| Gets the exception message. For internal use by FdoException class in getting a localized message.
static FDO_API_COMMON FdoString * | NLSGetMessage (FdoInt32 msgNum, char *defMsg, char *file, int line,...)
| Gets the exception message. For internal use by template classes in getting a localized message.
## Protected Member Functions
FDO_API_COMMON | FdoException (FdoString *message, FdoException *cause)
| Constructs an instance of a FdoException using the specified arguments.
FDO_API_COMMON | FdoException (FdoString *message)
| Constructs an instance of a FdoException using the specified arguments.
FDO_API_COMMON | FdoException ()
| Constructs a default instance of a FdoException.
virtual FDO_API_COMMON | ~FdoException ()
| Default destructor for FdoException class.

The documentation for this class was generated from the following file:

- Exception.h